Bug 1291477 - epel7 php-pear-Console-CommandLine fails to rebuild
Summary: epel7 php-pear-Console-CommandLine fails to rebuild
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: php-pear-Console-CommandLine
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: epel7aarch64
TreeView+ depends on / blocked
 
Reported: 2015-12-14 22:38 UTC by Yaakov Selkowitz
Modified: 2015-12-31 23:28 UTC (History)
2 users (show)

Fixed In Version: php-pear-Console-CommandLine-1.2.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-31 23:28:31 UTC
Type: Bug


Attachments (Terms of Use)

Description Yaakov Selkowitz 2015-12-14 22:38:56 UTC
php-pear-Console-CommandLine-1.2.0-2.el7 testsuite fails:

+ /usr/bin/phpunit tests
PHPUnit 4.8.17 by Sebastian Bergmann and contributors.

..F.F.........FFFF.F.FFFFFFFF..FFFFFFFFFFFFFFF.FFFFFF

Time: 3.12 seconds, Memory: 5.25Mb

There were 36 failures:

1) /builddir/build/BUILD/php-pear-Console-CommandLine-1.2.0/Console_CommandLine-1.2.0/tests/console_commandline_addargument_2.phpt
Failed asserting that format description matches text.
--- Expected
+++ Actual
@@ @@
-foo bar
-Fatal error: only optional arguments can have a default value in %sCommandLine.php on line %d
+Fatal error: Uncaught Console_CommandLine_Exception: You must provide at least 1 argument. in /builddir/build/BUILD/php-pear-Console-CommandLine-1.2.0/Console_CommandLine-1.2.0/Console/CommandLine.php on line 950
+#0 /builddir/build/BUILD/php-pear-Console-CommandLine-1.2.0/Console_CommandLine-1.2.0/Console/CommandLine.php(950): Console_CommandLine_Exception::factory('ARGUMENT_REQUIR...', Array, Object(Console_CommandLine), Array)
+#1 -(12): Console_CommandLine->parse()
+#2 {main}
+  thrown in /builddir/build/BUILD/php-pear-Console-CommandLine-1.2.0/Console_CommandLine-1.2.0/Console/CommandLine/Exception.php on line 93

[and so on for many of the rest]

Comment 1 Fedora Update System 2015-12-15 05:40:54 UTC
php-pear-Console-CommandLine-1.2.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-ba05153fc2

Comment 2 Fedora Update System 2015-12-31 23:28:29 UTC
php-pear-Console-CommandLine-1.2.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.